dlogify docs
API referenceMembers

Change a member's role

PATCH/v1/orgs/{org_id}/members/{member_id}

Requires role owner or higher.

Authorization

AuthorizationBearer <token>

A session token from /v1/auth/sign-in/email (CLI, scripts).

In: header

Path Parameters

org_id*string
member_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PATCH "https://example.com/v1/orgs/string/members/string" \  -H "Authorization: Bearer $DLOGIFY_SESSION" \  -H "Content-Type: application/json" \  -d '{    "role": "owner"  }'
{  "created_at": "2019-08-24T14:15:22Z",  "deactivated": true,  "email": "string",  "id": "string",  "name": "string",  "role": "owner",  "user_id": "string"}